# DataForm class

## Constructors

DataForm ({required String type, required List <String> instructions, required List <DataFormField> fields, required List <DataFormField> reported, required List <List <DataFormField>> items, String? title})
  const

## Properties

fields → List <DataFormField>
  final
hashCode → int
  The hash code for this object.
  no setterinherited
instructions → List <String>
  final
items → List <List <DataFormField>>
  final
reported → List <DataFormField>
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
title → String?
  final
type → String
  final

## Methods

getFieldByVar (String varAttr) → DataFormField?
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited
toXml () → XMLNode

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited